/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number],
input[type=text] {
  -moz-appearance: textfield;
  -webkit-appearance: none;
  background: #f6f6f7;
  border: 1px solid #eaeaeb;
  border-radius: 3px;
  color: #898a8b;
  line-height: normal;
  max-width: 100%;
  padding: 0.6429em 0.7143em;
  transition: 0.3s;
  font-size: 1rem;
}

input[type=submit] {
  -webkit-appearance: button;
  background: #106bb1;
  border: none;
  font-size: 1rem;
  border-radius: 3px;
  color: #fff;
  cursor: pointer;
  font-weight: 700;
  line-height: normal;
  outline-style: none;
  text-transform: uppercase;
}

/* * TOAST * */
.toasting__space {
  position: fixed;
  overflow: hidden;
  height: 100vh;
  right: 0;
  bottom: 0;
  top: 0;
  width: 40ch;
  z-index: 99;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  pointer-events: none;
}

.toast {
  background-color: #106bb1;
  color: #fff;
  min-height: 1rem;
  padding: 2ch;
  margin-bottom: 1ch;
  animation: animatebottom 400ms;
}

.toast p {
  color: #fff !important;
  font-weight: 400 !important;
}

.toast__message {
  margin: 0;
}

.animate-bottom {
  position: relative;
  animation: animatebottom 0.4s;
}

@keyframes animatebottom {
  from {
    transform: translateY(-150%);
    opacity: 0;
  } to {
    transform: translateY(0%);
    opacity: 1;
  }
}

.animate-right { 
  position: relative;
  animation: animateright 0.4s;
}

@keyframes animateright {
  from {
    right: 0;
    opacity: 1;
  } to {
    right: -300px;
    opacity: 0;
  }
}